package com.fr.plugin.widget.digitroll;

import com.fr.general.Inter;
import com.fr.plugin.PluginLicense;
import com.fr.plugin.PluginLicenseManager;
import com.fr.stable.fun.Authorize;
import com.fr.stable.fun.impl.AbstractJavaScriptFileHandler;

import javax.swing.*;

@Authorize(
        callSignKey = Constants.PLUGIN_ID
)
public class JavaScriptFileLoader extends AbstractJavaScriptFileHandler {
    private PluginLicense license = PluginLicenseManager.getInstance().getPluginLicenseByID(Constants.PLUGIN_ID);

    @Override
    public String[] pathsForFiles() {
        if (license.isAvailable()) {
            return new String[]{
                    "/com/fr/plugin/resources/web/widget.digitRoll.js"};
        } else {
            JOptionPane.showMessageDialog(null
                    , Inter.getLocText("Plugin-DigitRoll_License_Expired")
                    , Inter.getLocText("Plugin-DigitRoll_License_Title")
                    , JOptionPane.PLAIN_MESSAGE);
            return null;
        }
    }
}
