package com.fr.plugin.widget.digitroll;
import com.fr.design.fun.impl.AbstractFormWidgetOptionProvider;
import com.fr.general.Inter;
import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.plugin.widget.digitroll.ui.DigitRollWidgetUI;

@FunctionRecorder
public class OptionProvider extends AbstractFormWidgetOptionProvider {

    @ExecuteFunctionRecord
    @Override
    public Class<? extends DigitRollWidget> classForWidget() {
        return DigitRollWidget.class;
    }

    @Override
    public Class<?> appearanceForWidget() {
        //界面类
        return DigitRollWidgetUI.class;
    }

    @Override
    public String iconPathForWidget() {//图标
        return "com/fr/plugin/resources/images/digitroll_icon.png";
    }

    @Override
    public String nameForWidget() {//插件名称
        return Inter.getLocText("Plugin-DigitRoll_Widget");
    }

    @Override
    public boolean isContainer() {//是否容器
        return false;
    }
}
